---
# In development environment a user with same name as
# your system user will be created
development_user: somoffice

system_administrators:
  - name: "{{ somoffice_role_somoffice_user }}"
    ssh_key: "~/.ssh/id_rsa.pub"
    state: present
  - name: "{{ lookup('env', 'USER') }}"
    ssh_key: "~/.ssh/id_rsa.pub"
    state: present

developers: []

# Let's Encrypt conf
certificate_authority_email:

# Set 'development_environment' to "true" to skip SSL and nginx tasks
development_environment: true

app_root_path: /opt/somoffice
ticket_fallback_path: /home/somoffice/tickets

application_secret_key: ""

allowed_hosts: "local.somoffice-ccee.coop,localhost"

default_domain: "http://local.somoffice-ccee.coop:8000"
frontend_base_url: "http://local.somoffice-ccee.coop:3000"

django_debug_mode: "yes"

keycloak_server_url: ""
keycloak_client_id: ov-client
keycloak_client_secret: ""
keycloak_realm: ccee
keycloak_admin_user: ""
keycloak_admin_password: ""
opencell_baseurl: ""
opencell_user: ""
opencell_password: ""

database_user: somoffice
database_name: somoffice
database_password: "somoffice"
database_host: localhost

somoffice_admin_password: "somoffice"

somoffice_email_host: localhost
somoffice_email_port: 1025
somoffice_email_host_user: ''
somoffice_email_host_password: ''
somoffice_email_use_tls: 'no'
email_from: 'no-reply@local.somoffice.coop'

# yamllint disable-line rule:line-length
somoffice_role_somoffice_user: "somoffice"
otrs_user: ""
otrs_baseurl: ""
otrs_password: ""

odoo_baseurl: ""
odoo_apikey: ""

# no snippet in development but needs to be defined anyway
matomo_snippet_id: XXXXXXXX
google_analytics_id: UA-XXXX-1
